<?php
/* Holger Weß*/
defined( '_JEXEC' ) or die( 'Restricted access' ); 
class modTTLiveTeamSpielplan
{
	function getTTLiveTeamSpielplan(&$params)
	{
		global $mainframe;
		Jimport('joomla.filesystem.file');
        /***
        *   Cache XML-File to reduce traffic
        *   IF XML is older than 1 hour -> renew (store XML in TMP folder)
        */
		if(!JFile::exists("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml") || mktime()-3600 > filemtime("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml")) 
		{
			$url = $params->get(url);
      		$handle = fopen($url, "rb");
			$contents = '';
			while (!feof($handle)) 
			{
				$html .= fread($handle, 8192);
			}
			fclose($handle);
			JFile::write("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml", $html);    
		}
		/**
		 * XML aus lokalem tmp Folder laden
		 */
  		if($xml = simplexml_load_file("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml", NULL, ($params->get(debug)==1)?LIBXML_NOERROR:NULL)) 
		{
          $plan = '<h4 style="text-align:center">' . $xml->Staffel. '</h4>';
          $plan .= "<table style='text-align:center;width:100%;padding:0px;border-spacing:0pt;' class='" . $params->get(tableClassName) . "'>\n";
          $plan .= "<thead><tr><th style='text-align:center;'>Datum</th>\n";
          $plan .= "<th style='text-align:center;'>Zeit</th>\n";
          $plan .= "<th style='text-align:right;'>Heimteam</th>\n";
          $plan .= "<th style='text-align:center;'>&nbsp;</th>\n";
          $plan .= "<th style='text-align:left;'>Gastteam</th>\n";               
          $plan .= "<th style='text-align:center;'>Ergebnis</th>\n"; 
          $plan .= "</tr></thead>\n"; 
          $tableRow = "even";
		  foreach($xml->Content->Spielplan->Spiel as $key => $attribute) 
          {
			  if (strftime('%d.%m.%Y', strtotime($attribute->Datum)) != $dateOld)
              {
                  if ($tableRow == "even")
                  {
                      $tableRow = "odd";
                  }
                  else
                  {
                       $tableRow = "even";
                  }
              }          
			  $dateOld = strftime('%d.%m.%Y', strtotime($attribute->Datum));
			  $thedate = strftime('%d.%m.%Y', strtotime($attribute->Datum));
              $plan .= "<tr class='".$tableRow ."'><td>".$thedate ."</td>\n";
              $plan .= "<td>".$attribute->Zeit ."</td>\n";
              if (strstr($attribute->Heimmannschaft, $params->get(ownTeam)))
              {
                  $isHeimteam = true;
                  $plan .= "<td style='text-align:right;'><b>".$attribute->Heimmannschaft ."</b></td>\n";
              }
              else
              {
                  $isHeimteam = false;
                  $plan .= "<td style='text-align:right;'>".$attribute->Heimmannschaft ."</td>\n";
              }
              $plan .= "<td>-</td>";
              if (strstr($attribute->Gastmannschaft, $params->get(ownTeam)))
              {
                  $isGastteam = true;
                  $plan .= "<td style='text-align:left;'><b>".$attribute->Gastmannschaft ."</b></td>\n";
              }
              else
              {
                  $isGastteam = false;
                  $plan .= "<td style='text-align:left;'>".$attribute->Gastmannschaft ."</td>\n";
              }              
              $array = explode ( ':', $attribute->Ergebnis );
              $color = "#333333";
              if ((!$isHeimteam) || (!$isGastteam))
              {
                if ((intval($array[0])) > (intval($array[1])))
                {
                    if ($isHeimteam)
                    {
                        $color="green";
                    }
                    else
                    {
                        $color="red";
                    }
                }
                if ((intval($array[1])) > (intval($array[0])))
                {
                    if ($isGastteam)
                    {
                        $color="green";
                    }
                    else
                    {
                        $color="red";
                    }
                }
              }
              $plan .= "<td style='color:".$color ."'>";
              if ($attribute->Link) 
              { 
                  $plan .="<a style=\"color:".$color ."\" href=\"".htmlentities($attribute->Link) ."\" target=\"_blank\">"; 
              } 
                  $plan .=$attribute->Ergebnis; 
              if ($attribute->Link)
              {
                  $plan .="</a>"; 
              } 
              $plan .= "</td>\n";
              $plan .= "</tr>\n";
          }
          $plan .= "</table>\n";
          $plan .= "<br/>\n";
          echo $plan;
      } 
      else 
      {
          echo 'Konnte TT-Live-XML nicht laden';
      }	            
	}
}
?>







